Skip to Content
Customers

Create Customer

Acesso

Membro da organização com esta permissão:

  • customers:write

Uma chave de API com scopes também precisa da permissão nos seus scopes.

POST
/orgs/{organizationId}/customers

Creates a new customer with the provided data. Optional identityDocumentScanId links an unassigned (pending) identity document scan to the new customer in the same atomic transaction.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
firstName*string
Length1 <= length
lastName?string|null
email?|unknown
phone?string
vatNumber?string
identityDocumentScanId?string
customFields?

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//customers' \  -H 'Content-Type: application/json' \  -d '{  "firstName": "string"}'
Example Response
null